#ifndef _API_MSG_H
#define _API_MSG_H


#define NO_MSG              0
#define EVT_PC_INSERT       0x0001
#define EVT_PC_REMOVE       0x0002

void msg_queue_init(void);
void msg_queue_clear(void);
void msg_enqueue(u16 msg);
u16 msg_dequeue(void);
void msg_queue_detach(u16 msg, u8 flag);        //Flag=0, msg messages are removed from the message pool; Flag=1, the message pool only keeps msg messages
#endif // _API_MSG_H
